#ifndef NETWORK_H
#define NETWORK_H

#include <QUrl>
#include <QNetworkAccessManager>
#include <QtNetwork/QNetworkReply>
#include <QProgressBar>
#include <QFile>

class MainWindow;

class ANetwork {

public:
    ANetwork();
    ANetwork( const ANetwork&);
    ANetwork& operator=( ANetwork& );

    QNetworkReply* currentDownload;
    QFile output;

    void getUrl();
    QString getCoupon();
    void getPaths();
    QString getServers();
    QString getFootMessage();
    QString getMicroPath(int timestamp);

    QString query(QUrl url);
    QByteArray query_binary(QUrl url);

    QString micropatch;

private slots:
    void downloadProgress(qint64 bytesReceived, qint64 bytesTotal);
    void downloadFinished();

};

#endif // NETWORK_H
